Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface IAttributeChild

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IModelExtension, org.eclipse.emf.common.notify.Notifier

    public interface IAttributeChild

extends IModelExtension

A representation of the model object 'IAttribute Child'.

The following features are supported:

- `Parent`

See Also:
  `MetaABMPackage.getIAttributeChild()`

Method Summary
`SAttribute` | `getParent()` Returns the value of the 'Parent' container reference.
`void` | `setParent(SAttribute value)` Sets the value of the '`Parent`' container reference.

Methods inherited from interface org.metaabm.IModelExtension
`getName, getPackage`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getParent

    SAttribute getParent()

  Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Children`'.

  If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `setParent(SAttribute)`, `MetaABMPackage.getIAttributeChild_Parent()`, `SAttribute.getChildren()`

### setParent

    void setParent(SAttribute value)

  Sets the value of the '`Parent`' container reference.

  Parameters:
    `value` - the new value of the 'Parent' container reference.
  See Also:
    `getParent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD